﻿using Infragistics.Windows.Editors;
using System.Windows;
using System.Windows.Controls;

namespace Tabbehavior_SampleApp
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			var test = new Test();
			mGrid.SelectedObject = test;
		}

		private class Test
		{
			public string Test1 { get; set; } = "Test1Value";
			public string Test2 { get; set; } = "Test2Value";
		}

        private void StackPanel_PreviewGotKeyboardFocus(object sender, System.Windows.Input.KeyboardFocusChangedEventArgs e)
        {
			StackPanel panel = sender as StackPanel;
			XamTextEditor editor = panel.Children[0] as XamTextEditor;
			panel.PreviewGotKeyboardFocus -= StackPanel_PreviewGotKeyboardFocus;
			editor.Focus();
			panel.PreviewGotKeyboardFocus += StackPanel_PreviewGotKeyboardFocus;
			e.Handled = true;
		}

        private void XamTextEditor_EditModeStarted(object sender, Infragistics.Windows.Editors.Events.EditModeStartedEventArgs e)
        {
			XamTextEditor editor = sender as XamTextEditor;
			editor.SelectAll();
        }
    }
}
